/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: UnoControlSpinButton.idl,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_awt_UnoSpinButtonControl_idl__
#define __com_sun_star_awt_UnoSpinButtonControl_idl__

#ifndef __com_sun_star_awt_UnoControl_idl__
#include <com/sun/star/awt/UnoControl.idl>
#endif

#ifndef __com_sun_star_awt_XSpinValue_idl__
#include <com/sun/star/awt/XSpinValue.idl>
#endif


//=============================================================================

 module com {  module sun {  module star {  module awt {

//=============================================================================

/** specifies a spin button control.

    <p>The model of an <type>UnoControlSpinButton</type> control must support
    the <type>UnoControlSpinButtonModel</type> service.
 */
service UnoControlSpinButton
{
    service com::sun::star::awt::UnoControl;

    interface com::sun::star::awt::XSpinValue;

};

//=============================================================================

}; }; }; };


#endif
